Viewing 10 posts - 1 through 10 (of 10 total)
  • Author
    Posts
  • #4933

    Ok a few years ago I created some lisps as shortcuts. One lisp was called bolt.
    Well I opened the dwg. and changed the look of my bolt and hit save.

    Now when I type bolt in a drawing I get an error. What did I do?

    -Insert Enter block name or [?]: C:/Documents and Settings/Administrator/My Documents/LAYOUT/MISCELLANEOUS/bolt.dwg Block bolt references itself *Invalid* ; error: Function cancelled

    #66491
    Andy Graves
    Keymaster

    This is a question for Seth.

    #66501
    Seth Emery
    Member
    Thanks for the vote of confidence, Andy. Travis, here is the lisp function I use for inserting a “CABINET” note (as a block .dwg file):

    (defun c:cab ()


    ;define the function

    ;**********************************************************


    ;Start of Command Function


    (command   “-Insert” “R:/Layout/Miscellaneous/cab.dwg” pause “” “” “”


    “_Explode” “Last”


     


     


    )        ;End Command

      


    ;End of Command Function

    ;**********************************************************


    (princ)


    ;finish cleanly

    );end of defun

    Try navigating to your .dwg file in Windows Explorer and making sure the path is still right. Compare it to what is in your lisp file. Is there a chance that you changed the file type? You may want to copy your bolt object into another drawing, close the original bolt drawing, and then export the bolt object as a block and overwrite the original .dwg (block). It’s worth a shot.

    I hope this helps. Please let me know if it doesn’t, and I’ll look into it further.

      Have a good one,

      Seth
    #66510

    Well it is still not working. Here are 2 examples. Seem works and bolt does not.

    (defun c:seem ()
    ;define the function
    ;**********************************************************
    ;Start of Command Function
    (command “-Insert” “C:/Documents and Settings/Administrator/My Documents/LAYOUT/MISCELLANEOUS/seem.dwg” pause “” “” “”
    “_Explode” “Last”
    ) ;End Command
    ;End of Command Function
    ;**********************************************************
    (princ)
    ;finish cleanly
    ) ;end of defun

    (defun c:bolt ()
    ;define the function
    ;**********************************************************
    ;Start of Command Function
    (command “-Insert” “C:/Documents and Settings/Administrator/My Documents/LAYOUT/MISCELLANEOUS/bolt.dwg” pause “” “” “”
    “_Explode” “Last”
    ) ;End Command
    ;End of Command Function
    ;**********************************************************
    (princ)
    ;finish cleanly
    ) ;end of defun

    #66511

    And this is the error in ACAD that I get

    -Insert Enter block name or [?]: C:/Documents and Settings/Administrator/My
    Documents/LAYOUT/MISCELLANEOUS/bolt.dwg Block bolt references itself
    *Invalid*
    ; error: Function cancelled

    All I did was make changes the size of the part and hit save then closed the drawing.

    #66512

    it is saved as acad2000.dwg

    Do I have to use the block function in ACAD? The error says it is referending itself ??? Dunno what that means

    #66517
    Seth Emery
    Member

    Travis,

    I never had this happen, but here is a link that explains what is going on: http://forums.autodesk.com/t5/AutoC…-p/2763094. Here is another one: http://www.cadtutor.net/forum/showt…ces-itself.
    I’d open the bolt drawing. Purge “all” several times to make sure everything is purged. Save and close that drawing. Open your setup drawing (assuming you have one). Enter Purge -> Blocks -> Bolt (if it is embedded in your setup drawing) -> Purge Button. This way the bolt block is redefined automatically when you enter “bolt” on the command line.
    If your still having problems, give me a call (7179173259) – sometimes things are easier to figure out over the phone.
      Have a good one,
      Seth
    #66553

    Well Seth I gotta say you are a damn genius.

    It worked … whoo hooo

    Life is great again

    Thanks for your help

    #66563
    Seth Emery
    Member

    I’m glad it worked, Travis. Thanks for the compliment that was the overstatement of the year

    #66566
    Chris Yaughn
    Member

    I have no idea what  you guys are talking about, but I am pretty sure I like EasyStone even more now. 

Viewing 10 posts - 1 through 10 (of 10 total)
  • You must be logged in to reply to this topic.